#version 130
#extension GL_EXT_gpu_shader4 : enable

out vec4 color;

vec3 unpackVertex(int index) {
	return vec3( index & 0xFF, (index >> 8) & 0xFF, (index >> 16) & 0xFF ) * (2 / 255.0) - vec3(1.0);
}

void main()
{
	vec3 unpackedData = unpackVertex( gl_VertexID );
	gl_Position = vec4( unpackedData, 1.0 );
	color = vec4( (unpackedData + 1.0) / 2.0, 1.0 );
}